Subject: [6tisch] Quick review on draft 15

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 26 Feb 2016 10:22:40 +0000

Hello Xavi:

I’m not asking for any change change but editorials. In particular I do not see a need to say that minimal could be disabled. Anything can be disabled, it’s always an admin decision to implement a protocol. The important thing is that minimal does not preclude the use of other TSCH traffic on other timeslots.

As I reread the draft, I have some editorial suggestions, feel free to pick or not:

“bitmap in the active cell indicate that a node” -> indicates?
“This results in ‘’Slotted Aloha’’ behavior” -> This results in a behavior that is similar to that of ‘’Slotted Aloha’’.
“acknowledgement” -> acknowledgment
“neighbour” -> neighbor
“EBs MUST NOT be used for time” -> EBs are not used for time
“rank” -> Rank  (when talking about RPL’s Rank)
“Routing extension headers such as RPI and SRH and inner
   IP headers MUST be compressed according to [RFC6282],
   [I-D.ietf-6lo-routing-dispatch] and [I-D.ietf-6lo-paging-dispatch].”
->
“
Routing extension headers such as RPI [RFC6550] and SRH [RFC6554], and outer
   IP headers in case on encapsulation MUST be compressed according to
   [I-D.ietf-6lo-routing-dispatch] and [I-D.ietf-6lo-paging-dispatch].
“

Also: [I-D.ietf-6lo-routing-dispatch] and [I-D.ietf-6lo-paging-dispatch] should be normative references. Should not delay minimal if we last call soon.

Take care,

Pascal

---

From: Thomas Watteyne <[email-masked]>
Date: Fri, 26 Feb 2016 15:07:59 +0100

Authors,
I went through the changes between v14 and v15 on the bitbucket repo and
agree with the changes made.
Thomas

On Fri, Feb 26, 2016 at 11:22 AM, Pascal Thubert (pthubert) <
[email-masked]> wrote:

> Hello Xavi:
>
>
>
> I’m not asking for any change change but editorials. In particular I do
> not see a need to say that minimal could be disabled. Anything can be
> disabled, it’s always an admin decision to implement a protocol. The
> important thing is that minimal does not preclude the use of other TSCH
> traffic on other timeslots.
>
>
>
> “This results in ‘’Slotted Aloha’’ behavior” -> This results in a behavior
> that is similar to that of ‘’Slotted Aloha’’.
>
> Also: [I-D.ietf-6lo-routing-dispatch] and [I-D.ietf-6lo-paging-dispatch]
> should be normative references. Should not delay minimal if we last call
> soon.
>
>
>
> Take care,
>
>
>
> Pascal
>
> _______________________________________________
> 6tisch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6tisch
>
>

-- 
_______________________________________

Thomas Watteyne, PhD
Research Scientist & Innovator, Inria
Sr Networking Design Eng, Linear Tech
Founder & co-lead, UC Berkeley OpenWSN
Co-chair, IETF 6TiSCH

www.thomaswatteyne.com
_______________________________________

---

From: Xavier Vilajosana <[email-masked]>
Date: Sun, 28 Feb 2016 07:15:21 +0100

Dear Pascal, Thomas,

I will address the little indications given by Pascal and then publish v15.
Is that fine?

thanks so much!
X

2016-02-26 15:07 GMT+01:00 Thomas Watteyne <[email-masked]>:

>> “This results in ‘’Slotted Aloha’’ behavior” -> This results in a
>> behavior that is similar to that of ‘’Slotted Aloha’’.
>>

-- 
xvilajosana.org

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Sun, 28 Feb 2016 07:57:58 +0000

Yes it is!

Pascal

Le 28 févr. 2016 à 07:15, Xavier Vilajosana <[email-masked]<mailto:[email-masked]>> a écrit :

Dear Pascal, Thomas,

I will address the little indications given by Pascal and then publish v15. Is that fine?

thanks so much!
X

2016-02-26 15:07 GMT+01:00 Thomas Watteyne <[email-masked]<mailto:[email-masked]>>:
Authors,
I went through the changes between v14 and v15 on the bitbucket repo and agree with the changes made.
Thomas

On Fri, Feb 26, 2016 at 11:22 AM, Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>> wrote:
Hello Xavi:

I'm not asking for any change change but editorials. In particular I do not see a need to say that minimal could be disabled. Anything can be disabled, it's always an admin decision to implement a protocol. The important thing is that minimal does not preclude the use of other TSCH traffic on other timeslots.

"bitmap in the active cell indicate that a node" -> indicates?
"This results in ''Slotted Aloha'' behavior" -> This results in a behavior that is similar to that of ''Slotted Aloha''.
"acknowledgement" -> acknowledgment
"neighbour" -> neighbor
"EBs MUST NOT be used for time" -> EBs are not used for time
"rank" -> Rank  (when talking about RPL's Rank)
"Routing extension headers such as RPI and SRH and inner
   IP headers MUST be compressed according to [RFC6282],
   [I-D.ietf-6lo-routing-dispatch] and [I-D.ietf-6lo-paging-dispatch]."
->
"
Routing extension headers such as RPI [RFC6550] and SRH [RFC6554], and outer
   IP headers in case on encapsulation MUST be compressed according to
   [I-D.ietf-6lo-routing-dispatch] and [I-D.ietf-6lo-paging-dispatch].
"

Take care,

Pascal

_______________________________________________
6tisch mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/6tisch

Thomas Watteyne, PhD

www.thomaswatteyne.com<http://www.thomaswatteyne.com>
_______________________________________

_______________________________________________
6tisch mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/6tisch

--
xvilajosana.org<http://xvilajosana.org>

---

From: Thomas Watteyne <[email-masked]>
Date: Sun, 28 Feb 2016 09:47:34 +0100

Perfect!!!

On Sun, Feb 28, 2016 at 8:57 AM, Pascal Thubert (pthubert) <
[email-masked]> wrote:

> Yes it is!
>
> Pascal
>
> Le 28 févr. 2016 à 07:15, Xavier Vilajosana <[email-masked]> a
> écrit :
>
> Dear Pascal, Thomas,
>

Thomas Watteyne, PhD

www.thomaswatteyne.com